#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-desktop
Version		:	1.28.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Library with common API for various MATE modules
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://git.mate-desktop.org/mate-desktop/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	dconf
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+ >= 3.0
BuildRequires	:	gtk-doc
BuildRequires	:	iso-codes
BuildRequires	:	gdk-pixbuf
BuildRequires	:	mate-common
BuildRequires	:	xrandr

Requires	:	mate-themes
Requires	:	mate-polkit

Requires(post)	:	%{_bindir}/glib-compile-schemas
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
ate-desktop contains the libmate-desktop library, the mate-about
program as well as some desktop-wide documents.

The libmate-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING-DOCS COPYING.LIB NEWS README
%{_includedir}/%{name}-2.0/lib%{name}/*.h
%{_bindir}/%{shortname}-about
%{_bindir}/%{shortname}-color-select
%{_libdir}/lib%{name}-2.so*
%{_libdir}/girepository-1.0/MateDesktop*.typelib
%{_libdir}/pkgconfig/%{name}-*.pc
%{_datadir}/glib-2.0/schemas/org.%{shortname}.*.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/gir-1.0/MateDesktop*.gir
%{_datadir}/applications/%{shortname}-*.desktop
%{_datadir}/lib%{name}/pnp.ids
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/xdg-desktop-portal/mate-portals.conf
%{_mandir}/man1/%{shortname}*.1.gz
%{_datadir}/%{shortname}-about/%{shortname}-version.xml

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  fi

%post
/usr/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

#changing user default Background to be cosmos
BCKDFLT="/backgrounds/mate/desktop/Stripes.png"
BCKDOSU="/backgrounds/cosmos/background-1.xml"
sed -i							\
  -e "s:${BCKDFLT}:${BCKDOSU}:"				\
  schemas/org.mate.background.gschema.xml.in

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--disable-gtk-doc-html				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
